Index: palm/trunk/DOC/app/chapter_3.5.3.html
===================================================================
--- palm/trunk/DOC/app/chapter_3.5.3.html	(revision 554)
+++ palm/trunk/DOC/app/chapter_3.5.3.html	(revision 555)
@@ -1,10 +1,10 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
 <html><head>
+
 <meta http-equiv="CONTENT-TYPE" content="text/html; charset=windows-1252"><title>PALM chapter 3.5.3</title> <meta name="GENERATOR" content="StarOffice 7 (Win32)"> <meta name="AUTHOR" content="Siegfried Raasch"> <meta name="CREATED" content="20040802;14001660"> <meta name="CHANGED" content="20041112;14483720"> <meta name="KEYWORDS" content="parallel LES model"> <style>
 <!--
 @page { size: 21cm 29.7cm }
 -->
-</style></head>
-<body style="direction: ltr;" lang="en-US"><h3 style="line-height: 100%;">3.5.3 Definition of user-defined
+</style></head><body style="direction: ltr;" lang="en-US"><h3 style="line-height: 100%;">3.5.3 Definition of user-defined
 subdomains</h3>
 <p style="line-height: 100%;">By default, the values of
@@ -20,6 +20,5 @@
 <p style="line-height: 100%;">The exact definition of
 these subdomains
-has to be made by the user within the user-defined subroutine
-<tt><font style="font-size: 10pt;" size="2">init_user</font></tt>.
+has to be made by the user within the user-defined subroutine <tt><font style="font-size: 10pt;" size="2">user_init</font></tt>.
 The
 subdomains are defined with a mask array named <tt><font style="font-size: 10pt;" size="2">rmask</font></tt>,
@@ -93,5 +92,5 @@
 if
 the user sets <a href="chapter_4.1.html#statistic_regions">statistic_regions</a>
-&ge; <i>1</i>. Beyond that, names for the user-defined
+&#8805; <i>1</i>. Beyond that, names for the user-defined
 subdomains can be
 assigned
Index: palm/trunk/DOC/app/chapter_4.1.html
===================================================================
--- palm/trunk/DOC/app/chapter_4.1.html	(revision 554)
+++ palm/trunk/DOC/app/chapter_4.1.html	(revision 555)
@@ -1,4 +1,5 @@
 <!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
 <html><head>
+
 
 
@@ -9847,5 +9848,9 @@
 the pressure
 boundary condition <a href="#bc_p_b">bc_p_b</a>
-= <i>'neumann+inhomo'</i>&nbsp; is not allowed. </p>
+= <i>'neumann+inhomo'</i>&nbsp; is not allowed.<br>
+</p>
+      <p>If the Prandtl-layer is switched off and fluxes shall be prescribed at the surface (by setting <a href="#surface_heatflux">surface_heatflux</a>), it is required to set the parameter <a href="#use_surface_fluxes">use_surface_fluxes</a> = <span style="font-style: italic;">.T.</span>.<br>
+ </p>
+
 
 
@@ -12774,5 +12779,9 @@
 can be used to impose random perturbations on the (homogeneous) surface
 heat
-flux field <span style="font-style: italic;">shf</span>.&nbsp;</p>
+flux field <span style="font-style: italic;">shf</span>.<br>
+</p>
+      <p><span style="font-weight: bold;">Attention:</span><br>
+Setting of <span style="font-weight: bold;">surface_heatflux</span> requires setting of <a href="#use_surface_fluxes">use_surface_fluxes</a>=<span style="font-style: italic;">.T.</span>, if the Prandtl-layer is switched off (<a href="#prandtl_layer">prandtl_layer</a>=<span style="font-style: italic;">.F.</span>).&nbsp;</p>
+
 
 
Index: palm/trunk/DOC/app/chapter_4.2.html
===================================================================
--- palm/trunk/DOC/app/chapter_4.2.html	(revision 554)
+++ palm/trunk/DOC/app/chapter_4.2.html	(revision 555)
@@ -6896,5 +6896,5 @@
 
 
- <td style="vertical-align: top;">Total
+ <td style="vertical-align: top;">Total (resolved and subgrid-scale)
 kinetic energy of
 the flow (in m<sup>2</sup>/s<sup>2</sup>)
@@ -6926,6 +6926,5 @@
 
 
- <td style="vertical-align: top;">Perturbation
-kinetic
+ <td style="vertical-align: top;">Resolved-scale kinetic
 energy of the flow (in m<sup>2</sup>/s<sup>2</sup>)<sup>
             </sup>(normalized
@@ -11890,5 +11889,5 @@
 
 
-      <td style="vertical-align: top;"><i>ŽreflectŽ</i></td>
+      <td style="vertical-align: top;"><i>ï¿œreflectï¿œ</i></td>
 
 
@@ -11915,5 +11914,5 @@
 default, particles are reflected at the bottom boundary.
 Alternatively, a particle absorption can set by <b>bc_par_b</b>
-= <i>ŽabsorbŽ</i>.</p>
+= <i>ï¿œabsorbï¿œ</i>.</p>
 
 
@@ -11958,5 +11957,5 @@
 
 
-      <td style="vertical-align: top;"><i>ŽcyclicŽ</i></td>
+      <td style="vertical-align: top;"><i>ï¿œcyclicï¿œ</i></td>
 
 
@@ -11984,6 +11983,6 @@
 are used along x.
 Alternatively, reflection (<b>bc_par_lr</b>
-= <i>ŽreflectŽ</i>) or absorption (<b>bc_par_lr</b>
-= <i>ŽabsorbŽ</i>)
+= <i>ï¿œreflectï¿œ</i>) or absorption (<b>bc_par_lr</b>
+= <i>ï¿œabsorbï¿œ</i>)
 can be set. <br>
 
@@ -12046,5 +12045,5 @@
 
 
-      <td style="vertical-align: top;"><i>ŽcyclicŽ</i></td>
+      <td style="vertical-align: top;"><i>ï¿œcyclicï¿œ</i></td>
 
 
@@ -12072,6 +12071,6 @@
 are used along y.
 Alternatively, reflection (<b>bc_par_ns</b>
-= <i>ŽreflectŽ</i>) or absorption (<b>bc_par_ns</b>
-= <i>ŽabsorbŽ</i>)
+= <i>ï¿œreflectï¿œ</i>) or absorption (<b>bc_par_ns</b>
+= <i>ï¿œabsorbï¿œ</i>)
 can be set.<br>
 
@@ -12124,5 +12123,5 @@
 
 
-      <td style="vertical-align: top;"><i>ŽabsorbŽ</i></td>
+      <td style="vertical-align: top;"><i>ï¿œabsorbï¿œ</i></td>
 
 
@@ -12149,5 +12148,5 @@
 particles are absorbed at the top boundary.
 Alternatively, a reflection condition can be set by <b>bc_par_t</b>
-= <i>ŽreflectŽ</i>.</p>
+= <i>ï¿œreflectï¿œ</i>.</p>
 
 
Index: palm/trunk/DOC/app/chapter_4.5.7.html
===================================================================
--- palm/trunk/DOC/app/chapter_4.5.7.html	(revision 554)
+++ palm/trunk/DOC/app/chapter_4.5.7.html	(revision 555)
@@ -1,4 +1,5 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
 <html><head>
+
 
 <meta http-equiv="CONTENT-TYPE" content="text/html; charset=windows-1252"><title>PALM chapter 4.5.7</title> <meta name="GENERATOR" content="StarOffice 7 (Win32)"> <meta name="AUTHOR" content="Siegfried Raasch"> <meta name="CREATED" content="20041029;14344622"> <meta name="CHANGED" content="20050119;9531085"> <meta name="KEYWORDS" content="parallel LES model"> <style>
@@ -68,14 +69,19 @@
 computer which is defined via the package parameter <a href="chapter_4.2.html#dvrp_host">dvrp_host</a>. If the default values of the dvrp parameters are used, data are send to a so-called <span style="font-style: italic;">streaming server</span> at the
 RRZN. Apart from graphic data an additional html file is created, which
-can be opened by an internet browser to view the data (a special <span style="font-weight: bold;">dvrp</span> plugin is required for this).</p><p style="line-height: 100%;"></p><p style="line-height: 100%;"><span style="font-weight: bold;">Quickstart guide for using dvrp on the HLRN/IMUK-System (May 2009):</span></p><p style="line-height: 100%;">In the following, please replace the string<span style="font-family: Courier New,Courier,monospace; font-weight: bold;"> &lt;UNAME&gt; </span>with your IMUK username, wherever it appears. Please also replace the string<span style="font-family: Courier New,Courier,monospace;"><span style="font-weight: bold;"> &lt;UDIR&gt;</span> </span>with a subdirectory name of your choice. <span style="font-weight: bold;"></span> </p>
+can be opened by an internet browser to view the data (a special <span style="font-weight: bold;">dvrp</span> plugin is required for this).</p><p style="line-height: 100%;"></p><p style="line-height: 100%;"><span style="font-weight: bold;">Quickstart guide for using dvrp on the HLRN/IMUK-System (June 2010):</span></p><p style="line-height: 100%;">In the following, please replace the string<span style="font-family: Courier New,Courier,monospace; font-weight: bold;"> &lt;UNAME&gt; </span>with your IMUK username, wherever it appears. Please also replace the string<span style="font-family: Courier New,Courier,monospace;"><span style="font-weight: bold;"> &lt;UDIR&gt;</span> </span>with a subdirectory name of your choice. <span style="font-weight: bold;"></span> </p>
 <ol><li>
 Add the following define statements for environment variables to the configuration file (<span style="font-family: Courier New,Courier,monospace;">.mrun.config</span>):<br><br><span style="font-family: Courier New,Courier,monospace;"></span><span style="font-family: Courier New,Courier,monospace;"> &nbsp; &nbsp;%dvr_inc&nbsp;&nbsp;
 -I/home/h/niksiraa/dvr_mvapich2/lib&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
 &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; lcsgih parallel</span><br style="font-family: Courier New,Courier,monospace;"><span style="font-family: Courier New,Courier,monospace;">&nbsp; &nbsp;%dvr_lib&nbsp;&nbsp;&nbsp;-L/home/h/niksiraa/dvr_mvapich2/lib:-lDVRP2:-lftp&nbsp; &nbsp; lcsgih
-parallel</span><br><br><br></li><li>Add the dvrp-steering parameters to your NAMELIST-parameter file, e.g.<br><br><span style="font-family: Courier New,Courier,monospace;">&nbsp;&amp;d3par &nbsp;end_time = 3600.0,<br>&nbsp; ... &nbsp; &nbsp; /<br><br>&nbsp;&amp;dvrp_graphics_par &nbsp; dvrp_username = '<span style="font-weight: bold;">&lt;UNAME&gt;</span>',<br>&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; dvrp_host = '130.75.105.2',<br>&nbsp;
+parallel</span><br><br><br></li><li>Add the dvrp-steering parameters to your NAMELIST-parameter file, e.g.<br><br><span style="font-family: Courier New,Courier,monospace;">&nbsp;&amp;d3par &nbsp;end_time = 3600.0,<br>&nbsp; ... &nbsp; &nbsp; /<br><br>&nbsp;&amp;dvrp_graphics_par &nbsp; dvrp_username = '<span style="font-weight: bold;">&lt;UNAME&gt;</span>',<br>&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; dvrp_host = '130.75.105.6',<br>&nbsp;
 &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;
-dvrp_directory = '<span style="font-weight: bold;">&lt;UNAME&gt;</span>/<span style="font-weight: bold;">&lt;UDIR&gt;</span>', ... /<br></span><br>For other dvrp-parameters see <a href="chapter_4.2.html#Paketparameter">chapter 4.2</a>. An example parameter file can be found in directory <span style="font-family: Courier New,Courier,monospace;">..../trunk/EXAMPLES/dvr &nbsp;</span>.<span style="font-family: Courier New,Courier,monospace;"><br><br></span></li><li>On the IMUK-system, create a subdirectory in which the dvrp-data are stored and give it access permit for group <span style="font-style: italic;">palm</span>.<br><br><span style="font-family: Courier New,Courier,monospace;">&nbsp; &nbsp;mkdir /data/raasch/Dvrp_daten/<span style="font-weight: bold;">&lt;UNAME&gt;<br>
-</span>&nbsp;&nbsp; chmod g+rwx</span><span style="font-family: Courier New,Courier,monospace;"> /data/raasch/Dvrp_daten/<span style="font-weight: bold;">&lt;UNAME&gt;</span></span><br><br>This directory has to be created only once, before dvrp is used for the first time.<br>
-<br></li><li>Submit the job&nbsp; with <span style="font-weight: bold;">mrun</span>-command<br><br><span style="font-family: Courier New,Courier,monospace;">&nbsp; &nbsp;mrun .... -p dvrp_graphics ....</span><br><br></li><li><span style="font-family: Courier New,Courier,monospace;"><span style="font-family: Times New Roman,Times,serif;">After the job has finished, the dvrp-output can be found on the IMUK-cluster in a subdirectory under <span style="font-family: Courier New,Courier,monospace;">/data/raasch/Dvrp_daten</span>. The name of the subdirectory is determined by the dvrp-parameter <a href="chapter_4.2.html#dvrp_directory">dvrp_directory</a> (see above), i.e. if the user has set <span style="font-family: Courier New,Courier,monospace;">dvrp_directory</span> = <span style="font-style: italic;">'<span style="font-weight: bold;">&lt;UNAME&gt;</span>/movie_1'</span>, the dvrp-data are stored under&nbsp;<span style="font-family: Courier New,Courier,monospace;">/data/raasch/Dvrp_daten/<span style="font-weight: bold;">&lt;UNAME&gt;</span>/movie_1</span>.<br><br></span></span></li><li><span style="font-family: Courier New,Courier,monospace;"><span style="font-family: Times New Roman,Times,serif;">Change to this subdirectory (e.g. </span></span><span style="font-family: Courier New,Courier,monospace;"><span style="font-family: Times New Roman,Times,serif;"><span style="font-family: Courier New,Courier,monospace;">/data/raasch/Dvrp_daten/&lt;UNAME&gt;/movie_1</span></span></span><span style="font-family: Courier New,Courier,monospace;"><span style="font-family: Times New Roman,Times,serif;">) and enter the command<br><br><span style="font-family: Courier New,Courier,monospace;">&nbsp; &nbsp;process_dvr_output</span><br><br>It will create a file with name <span style="font-family: Courier New,Courier,monospace;">all_streams_streaming.html</span>.<br><br></span></span></li><li><span style="font-family: Courier New,Courier,monospace;"><span style="font-family: Times New Roman,Times,serif;">Call the opera-browser (i.e. enter the command <span style="font-family: Courier New,Courier,monospace;">opera</span>) and open the file </span></span><span style="font-family: Courier New,Courier,monospace;"><span style="font-family: Times New Roman,Times,serif;"><span style="font-family: Courier New,Courier,monospace;">all_streams_streaming.html</span>.</span></span><span style="font-family: Courier New,Courier,monospace;"><span style="font-family: Times New Roman,Times,serif;"></span><br></span><br></li></ol><span style="font-weight: bold;">Further features:<br></span>The script<span style="font-family: Courier New,Courier,monospace;"> process_dvr_output </span>has additional options:<br><br><span style="font-weight: bold; font-family: Courier New,Courier,monospace;">-s</span> &nbsp; &nbsp; : <span style="font-weight: bold;">create sequence output</span>.
+dvrp_directory = '<span style="font-weight: bold;">&lt;UNAME&gt;</span>/<span style="font-weight: bold;">&lt;UDIR&gt;</span>', ... /<br></span><br>For other dvrp-parameters see <a href="chapter_4.2.html#Paketparameter">chapter 4.2</a>. An example parameter file can be found in directory <span style="font-family: Courier New,Courier,monospace;">..../trunk/EXAMPLES/dvr &nbsp;</span>.<span style="font-family: Courier New,Courier,monospace;"><br><br></span></li><li>Ask the IMUK system operator (Notker Fechner) to mount the filesystem<span style="font-family: Courier New,Courier,monospace;"> /dvrdata </span>on your local computer.<br>
+    <br>
+</li>
+  <li>On the IMUK-system (your local computer), create a subdirectory
+in which the dvrp-data are stored and give it access permit for group <span style="font-style: italic;">palm</span>.<br><br><span style="font-family: Courier New,Courier,monospace;">&nbsp; &nbsp;mkdir /dvrdata/<span style="font-weight: bold;">&lt;UNAME&gt;<br>
+</span>&nbsp;&nbsp; chmod g+rwx /dvrdata</span><span style="font-family: Courier New,Courier,monospace;">/<span style="font-weight: bold;">&lt;UNAME&gt;</span></span><br><br><span style="font-weight: bold;">Steps 3. and 4. have to be done only once, before dvrp is used for the first time.</span><br>
+<br></li>
+<li>Submit the job&nbsp; with <span style="font-weight: bold;">mrun</span>-command<br><br><span style="font-family: Courier New,Courier,monospace;">&nbsp; &nbsp;mrun .... -p dvrp_graphics ....</span><br><br></li><li><span style="font-family: Courier New,Courier,monospace;"><span style="font-family: Times New Roman,Times,serif;">After the job has finished, the dvrp-output can be found on the IMUK-cluster in a subdirectory under <span style="font-family: Courier New,Courier,monospace;">/dvrdata</span>. The name of the subdirectory is determined by the dvrp-parameter <a href="chapter_4.2.html#dvrp_directory">dvrp_directory</a> (see above), i.e. if the user has set <span style="font-family: Courier New,Courier,monospace;">dvrp_directory</span> = <span style="font-style: italic;">'<span style="font-weight: bold;">&lt;UNAME&gt;</span>/movie_1'</span>, the dvrp-data are stored under&nbsp;<span style="font-family: Courier New,Courier,monospace;">/dvrdata/<span style="font-weight: bold;">&lt;UNAME&gt;</span>/movie_1</span>.<br><br></span></span></li><li><span style="font-family: Courier New,Courier,monospace;"><span style="font-family: Times New Roman,Times,serif;">Change to this subdirectory (e.g. </span></span><span style="font-family: Courier New,Courier,monospace;"><span style="font-family: Times New Roman,Times,serif;"><span style="font-family: Courier New,Courier,monospace;">/dvrdata/&lt;UNAME&gt;/movie_1</span></span></span><span style="font-family: Courier New,Courier,monospace;"><span style="font-family: Times New Roman,Times,serif;">) and enter the command<br><br><span style="font-family: Courier New,Courier,monospace;">&nbsp; &nbsp;process_dvr_output</span><br><br>It will create a file with name <span style="font-family: Courier New,Courier,monospace;">all_streams_streaming.html</span>.<br><br></span></span></li><li><span style="font-family: Courier New,Courier,monospace;"><span style="font-family: Times New Roman,Times,serif;">Call the opera-browser (i.e. enter the command <span style="font-family: Courier New,Courier,monospace;">opera</span>) and open the file </span></span><span style="font-family: Courier New,Courier,monospace;"><span style="font-family: Times New Roman,Times,serif;"><span style="font-family: Courier New,Courier,monospace;">all_streams_streaming.html</span>.</span></span><span style="font-family: Courier New,Courier,monospace;"><span style="font-family: Times New Roman,Times,serif;"></span><br></span><br></li></ol><span style="font-weight: bold;">Further features:<br></span>The script<span style="font-family: Courier New,Courier,monospace;"> process_dvr_output </span>has additional options:<br><br><span style="font-weight: bold; font-family: Courier New,Courier,monospace;">-s</span> &nbsp; &nbsp; : <span style="font-weight: bold;">create sequence output</span>.
 All streams (and static scenes) are collected to one sequence (one
 static scene), which can be displayed with a browser without using the
@@ -83,7 +89,7 @@
 show animations on a notebook without beeing connected to the internet.
 When the script is called with this option, the sequence is generated
-in subdirectory sequence_data. Copy this subdirectory and the file
-all_streams_sequence.html to a directory on your local computer and
-open the file all_streams_sequence.html with your browser. For this,
+in subdirectory sequence_data. Copy this subdirectory and the file<span style="font-family: Courier New,Courier,monospace;">
+all_streams_sequence.html </span>to a directory on your local computer and
+open the file<span style="font-family: Courier New,Courier,monospace;"> all_streams_sequence.html </span>with your browser. For this,
 you will need to install the the dvr-plugin (see webpage of the <a href="http://www.dsvr-software.de/">dsvr-software</a>) on your local computer, which is also available for Windows.<br><br><span style="font-weight: bold;">-a</span> &nbsp; &nbsp; &nbsp;: <span style="font-weight: bold;">acceleration factor</span>. If, in case of sequence mode, the performance of the animation is to slow, you can accelerate it. E.g., by using <span style="font-family: Courier New,Courier,monospace;">"-a 2</span>", only every second frame of the original streams will be used for the sequence.<br><br><br><br><br><span style="font-weight: bold;">Current limitations (May 09):</span><br>Only a special opera-version on host "bora" can be used. Log-in on "bora" and call &nbsp;<span style="font-family: Courier New,Courier,monospace;">/usr/bin/opera</span>. <span style="font-weight: bold;">Before that(!!!)</span>, enter the command "<span style="font-family: Courier New,Courier,monospace;">export LD_PRELOAD=libXm.so</span>" !
 <hr><p style="line-height: 100%;"><br>
Index: palm/trunk/SCRIPTS/.mrun.config.imuk_ice2_netcdf4
===================================================================
--- palm/trunk/SCRIPTS/.mrun.config.imuk_ice2_netcdf4	(revision 554)
+++ palm/trunk/SCRIPTS/.mrun.config.imuk_ice2_netcdf4	(revision 555)
@@ -54,9 +54,9 @@
 %netcdf_lib        -L/sw/dataformats/pnetcdf/netcdf-4.0.1-mvapich2-intel/lib:-lnetcdf:-lnetcdff:-L/sw/dataformats/phdf5/hdf5-1.8.2-mvapich2-intel/lib:-lhdf5:-lhdf5_hl:-lz      lcsgih parallel ice2
 %mopts             -j:4                                       lcsgih parallel ice2
-%fopts             -xSSE4.2:-O3:-cpp:-r8:-align:all:-ftz:-fno-alias:-no-prec-div:-no-prec-sqrt:-ip:-nbs:-convert:little_endian  lcsgih parallel ice2
-%lopts             -xSSE4.2:-O3:-cpp:-r8:-align:all:-ftz:-fno-alias:-no-prec-div:-no-prec-sqrt:-ip:-nbs:-Vaxlib                 lcsgih parallel ice2
+%fopts             -xSSE4.2:-fp-model:precise:-O3:-cpp:-r8:-align:all:-ftz:-fno-alias:-no-prec-div:-no-prec-sqrt:-ip:-nbs:-convert:little_endian  lcsgih parallel ice2
+%lopts             -xSSE4.2:-fp-model:precise:-O3:-cpp:-r8:-align:all:-ftz:-fno-alias:-no-prec-div:-no-prec-sqrt:-ip:-nbs:-Vaxlib                 lcsgih parallel ice2
 %memory            1500                                       lcsgih parallel ice2
-#%tmp_data_catalog  /gfs1/work/<replace by your HLRN username>/palm_restart_data      lcsgih parallel
-#%tmp_user_catalog  /gfs1/tmp/<replace by your HLRN username>                         lcsgih parallel
+#%tmp_data_catalog  /gfs2/work/<replace by your HLRN username>/palm_restart_data      lcsgih parallel
+#%tmp_user_catalog  /gfs2/tmp/<replace by your HLRN username>                         lcsgih parallel
 #
 #
Index: palm/trunk/SCRIPTS/mbuild
===================================================================
--- palm/trunk/SCRIPTS/mbuild	(revision 554)
+++ palm/trunk/SCRIPTS/mbuild	(revision 555)
@@ -111,4 +111,5 @@
      # 16/08/10 - BjornM- bugfix: call of modules on local host, new workaround
      #                    for lcxt4
+     # 07/09/10 - Siggi - bugfix for wrong netcdf/3.6.3 module on lcsgi
 
 
@@ -1036,4 +1037,13 @@
           then
              module_calls="module load ${modules};"
+
+                # bugfix for wrong netcdf module
+             if [[ $remote_host = lcsgib  ||  $remote_host = lcsgih ]]
+             then
+                if [[ $(echo $module_calls | grep -c netcdf/3.6.3-intel) != 0 ]]
+                then
+                   module_calls="$module_calls export LD_LIBRARY_PATH=/sw/dataformats/netcdf/3.6.3-intel/lib:\$LD_LIBRARY_PATH;"
+                fi
+             fi
           else
              module_calls=""
Index: palm/trunk/SCRIPTS/mrun
===================================================================
--- palm/trunk/SCRIPTS/mrun	(revision 554)
+++ palm/trunk/SCRIPTS/mrun	(revision 555)
@@ -209,4 +209,5 @@
      #                     hicegate0/bicegate0 instead of the IP addresses
      # 17/08/10 - BjornM - adjustments for interactive runs on lcxt4
+     # 07/09/10 - Siggi  - bugfix for wrong netcdf/3.6.3 module on lcsgi
 
 
@@ -2118,4 +2119,13 @@
  fi
 
+    # bugfix for wrong netcdf module
+ if [[ $remote_host = lcsgib  ||  $remote_host = lcsgih ]]
+ then
+    if [[ $(echo $module_calls | grep -c netcdf/3.6.3-intel) != 0 ]]
+    then
+       module_calls="$module_calls export LD_LIBRARY_PATH=/sw/dataformats/netcdf/3.6.3-intel/lib:\$LD_LIBRARY_PATH;"
+    fi
+ fi
+
 
     # SET DEFAULT VALUE FOR MPI MODULE TO BE USED ON SGI-ALTIX
Index: palm/trunk/SCRIPTS/subjob
===================================================================
--- palm/trunk/SCRIPTS/subjob	(revision 554)
+++ palm/trunk/SCRIPTS/subjob	(revision 555)
@@ -1354,7 +1354,4 @@
           chmod  u+x  $job_on_remhost
 
-       elif [[ $(echo $local_host | cut -c1-5) = lcsgi ]]
-       then
-          eval  $submcom  $job_on_remhost
        elif [[ $local_host = nech ]]
        then
Index: palm/trunk/SOURCE/disturb_heatflux.f90
===================================================================
--- palm/trunk/SOURCE/disturb_heatflux.f90	(revision 554)
+++ palm/trunk/SOURCE/disturb_heatflux.f90	(revision 555)
@@ -4,5 +4,5 @@
 ! Current revisions:
 ! -----------------
-! 
+! Bugfix in if statement
 !
 ! Former revisions:
@@ -52,8 +52,8 @@
              IF ( nzb_s_inner(j,i) == 0 )  THEN
                 shf(j,i) = randomnumber * surface_heatflux
+             ELSE
 !
 !--             Over topography surface_heatflux is replaced by wall_heatflux(0)
                 shf(j,i) = randomnumber * wall_heatflux(0)
-             ELSE
              ENDIF
           ENDIF
Index: palm/trunk/SOURCE/init_grid.f90
===================================================================
--- palm/trunk/SOURCE/init_grid.f90	(revision 554)
+++ palm/trunk/SOURCE/init_grid.f90	(revision 555)
@@ -4,5 +4,5 @@
 ! Current revisions:
 ! -----------------
-! 
+! Bugfix: default setting of nzb_local for flat topographie
 !
 ! Former revisions:
@@ -344,5 +344,6 @@
        CASE ( 'flat' )
 !
-!--       No actions necessary
+!--       nzb_local is required for the multigrid solver
+          nzb_local = 0
 
        CASE ( 'single_building' )
Index: palm/trunk/SOURCE/user_statistics.f90
===================================================================
--- palm/trunk/SOURCE/user_statistics.f90	(revision 554)
+++ palm/trunk/SOURCE/user_statistics.f90	(revision 555)
@@ -4,5 +4,5 @@
 ! Current revisions:
 ! -----------------
-! 
+! Bugfix: wrong dimension used for ts_value_l
 !
 ! Former revisions:
@@ -77,6 +77,6 @@
 !--    velocities u and v.
 !       ts_value_l = 0.0
-!       ts_value_l(dots_num_palm+1,sr) = ABS( u_max )
-!       ts_value_l(dots_num_palm+2,sr) = ABS( v_max )
+!       ts_value_l(dots_num_palm+1) = ABS( u_max )
+!       ts_value_l(dots_num_palm+2) = ABS( v_max )
 !
 !--     Collect / send values to PE0, because only PE0 outputs the time series.
Index: palm/trunk/UTIL/interpret_config.f90
===================================================================
--- palm/trunk/UTIL/interpret_config.f90	(revision 554)
+++ palm/trunk/UTIL/interpret_config.f90	(revision 555)
@@ -4,5 +4,5 @@
 ! Actual revisions:
 ! -----------------
-! bugfix in WRITE (2010) statement
+! bugfix in 2201 statement: closing " was missing
 ! mrun environment variables are read from NAMELIST instead of using GETENV.
 ! Variables are allways assigned a value, also if they already got one. These
@@ -195,5 +195,5 @@
              IF ( do_trace(1:4) == 'true' )  THEN
                 WRITE (2,2201)  bs, var(1:ivar), value(1:ivalue)
- 2201           FORMAT ('printf "',A,'n*** ENVIRONMENT-VARIABLE ',A,' = ',A)
+ 2201           FORMAT ('printf "',A,'n*** ENVIRONMENT-VARIABLE ',A,' = ',A,'"')
              ENDIF
 