Index: palm/trunk/SOURCE/check_open.f90
===================================================================
--- palm/trunk/SOURCE/check_open.f90	(revision 564)
+++ palm/trunk/SOURCE/check_open.f90	(revision 565)
@@ -4,10 +4,13 @@
 ! Current revisions:
 ! -----------------
-! start number of mask output files changed to 201, netcdf message identifiers
-! of masked output changed
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 564 2010-09-30 13:18:59Z helmke
+! start number of mask output files changed to 201, netcdf message identifiers
+! of masked output changed
 !
 ! 519 2010-03-19 05:30:02Z raasch
Index: palm/trunk/SOURCE/check_parameters.f90
===================================================================
--- palm/trunk/SOURCE/check_parameters.f90	(revision 564)
+++ palm/trunk/SOURCE/check_parameters.f90	(revision 565)
@@ -4,9 +4,12 @@
 ! Current revisions:
 ! -----------------
-! palm message identifiers of masked output changed, 20 replaced by max_masks 
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 564 2010-09-30 13:18:59Z helmke
+! palm message identifiers of masked output changed, 20 replaced by max_masks 
 !
 ! 553 2010-09-01 14:09:06Z weinreis
Index: palm/trunk/SOURCE/close_file.f90
===================================================================
--- palm/trunk/SOURCE/close_file.f90	(revision 564)
+++ palm/trunk/SOURCE/close_file.f90	(revision 565)
@@ -4,10 +4,13 @@
 ! Current revisions:
 ! -----------------
-! start number of mask output files changed to 201, netcdf message identifiers
-! of masked output changed
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 564 2010-09-30 13:18:59Z helmke
+! start number of mask output files changed to 201, netcdf message identifiers
+! of masked output changed
 !
 ! 493 2010-03-01 08:30:24Z raasch
Index: palm/trunk/SOURCE/data_output_mask.f90
===================================================================
--- palm/trunk/SOURCE/data_output_mask.f90	(revision 564)
+++ palm/trunk/SOURCE/data_output_mask.f90	(revision 565)
@@ -4,10 +4,13 @@
 ! Current revisions:
 ! -----------------
-! start number of mask output files changed to 201, netcdf message identifiers
-! of masked output changed, palm message identifiers of masked output changed 
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 564 2010-09-30 13:18:59Z helmke
+! start number of mask output files changed to 201, netcdf message identifiers
+! of masked output changed, palm message identifiers of masked output changed 
 !
 ! 493 2010-03-01 08:30:24Z raasch
Index: palm/trunk/SOURCE/init_masks.f90
===================================================================
--- palm/trunk/SOURCE/init_masks.f90	(revision 564)
+++ palm/trunk/SOURCE/init_masks.f90	(revision 565)
@@ -4,10 +4,13 @@
 ! Current revisions:
 ! -----------------
-! assignment of mask_xyz_loop added, palm message identifiers of masked output
-! changed 
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 564 2010-09-30 13:18:59Z helmke
+! assignment of mask_xyz_loop added, palm message identifiers of masked output
+! changed 
 !
 ! 557 2010-09-07 14:50:07Z weinreis 
Index: palm/trunk/SOURCE/modules.f90
===================================================================
--- palm/trunk/SOURCE/modules.f90	(revision 564)
+++ palm/trunk/SOURCE/modules.f90	(revision 565)
@@ -5,11 +5,14 @@
 ! Current revisions:
 ! -----------------
+!
+!
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 564 2010-09-30 13:18:59Z helmke
 ! nc_precision and netcdf_precision dimension changed to 11, all default 
 ! values of mask_xyz_loop changed to -1.0, dimension of openfile changed to 
 ! 200+2*max_masks, max_masks changed to 50
-!
-! Former revisions:
-! -----------------
-! $Id$
 !
 ! 553 2010-09-01 14:09:06Z weinreis
Index: palm/trunk/SOURCE/netcdf.f90
===================================================================
--- palm/trunk/SOURCE/netcdf.f90	(revision 564)
+++ palm/trunk/SOURCE/netcdf.f90	(revision 565)
@@ -7,10 +7,13 @@
 ! Current revisions:
 ! ------------------
-! nc_precision changed from 40 masks to 1 mask, start number of mask output
-! files changed to 201, netcdf message identifiers of masked output changed 
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 564 2010-09-30 13:18:59Z helmke
+! nc_precision changed from 40 masks to 1 mask, start number of mask output
+! files changed to 201, netcdf message identifiers of masked output changed 
 !
 ! 519 2010-03-19 05:30:02Z raasch