Index: palm/trunk/SOURCE/check_parameters.f90
===================================================================
--- palm/trunk/SOURCE/check_parameters.f90	(revision 579)
+++ palm/trunk/SOURCE/check_parameters.f90	(revision 580)
@@ -4,5 +4,5 @@
 ! Current revisions:
 ! -----------------
-! 
+! Renaming of ws_vertical_gradient_level to subs_vertical_gradient_level
 !
 ! Former revisions:
@@ -1008,5 +1008,5 @@
 !
 !-- Initialize large scale subsidence if required
-    IF ( ws_vertical_gradient_level(1) /= -9999999.9 )  THEN
+    IF ( subs_vertical_gradient_level(1) /= -9999999.9 )  THEN
        large_scale_subsidence = .TRUE.
        CALL init_w_subsidence
Index: palm/trunk/SOURCE/header.f90
===================================================================
--- palm/trunk/SOURCE/header.f90	(revision 579)
+++ palm/trunk/SOURCE/header.f90	(revision 580)
@@ -4,5 +4,7 @@
 ! Current revisions:
 ! -----------------
-! 
+! Renaming of ws_vertical_gradient to subs_vertical_gradient,
+! ws_vertical_gradient_level to subs_vertical_gradient_level and
+! ws_vertical_gradient_level_ind to subs_vertical_gradient_level_i
 ! 
 ! Former revisions:
@@ -1412,17 +1414,17 @@
        coordinates = '   0.0'
        i = 1
-       DO  WHILE ( ws_vertical_gradient_level_ind(i) /= -9999 )
+       DO  WHILE ( subs_vertical_gradient_level_i(i) /= -9999 )
 
           WRITE (coor_chr,'(E10.2,7X)')  &
-                                w_subs(ws_vertical_gradient_level_ind(i))
+                                w_subs(subs_vertical_gradient_level_i(i))
           temperatures = TRIM( temperatures ) // ' ' // TRIM( coor_chr )
 
-          WRITE (coor_chr,'(E10.2,7X)')  ws_vertical_gradient(i)
+          WRITE (coor_chr,'(E10.2,7X)')  subs_vertical_gradient(i)
           gradients = TRIM( gradients ) // ' ' // TRIM( coor_chr )
 
-          WRITE (coor_chr,'(I10,7X)')  ws_vertical_gradient_level_ind(i)
+          WRITE (coor_chr,'(I10,7X)')  subs_vertical_gradient_level_i(i)
           slices = TRIM( slices ) // ' ' // TRIM( coor_chr )
 
-          WRITE (coor_chr,'(F10.2,7X)')  ws_vertical_gradient_level(i)
+          WRITE (coor_chr,'(F10.2,7X)')  subs_vertical_gradient_level(i)
           coordinates = TRIM( coordinates ) // ' '  // TRIM( coor_chr )
 
Index: palm/trunk/SOURCE/modules.f90
===================================================================
--- palm/trunk/SOURCE/modules.f90	(revision 579)
+++ palm/trunk/SOURCE/modules.f90	(revision 580)
@@ -5,5 +5,7 @@
 ! Current revisions:
 ! -----------------
-!
+! Renaming of ws_vertical_gradient to subs_vertical_gradient,
+! ws_vertical_gradient_level to subs_vertical_gradient_level and
+! ws_vertical_gradient_level_ind to subs_vertical_gradient_level_i
 !
 ! Former revisions:
@@ -402,5 +404,5 @@
                 ug_vertical_gradient_level_ind(10) = -9999, &
                 vg_vertical_gradient_level_ind(10) = -9999, &
-                ws_vertical_gradient_level_ind(10) = -9999
+                subs_vertical_gradient_level_i(10) = -9999
 
     INTEGER, DIMENSION(:), ALLOCATABLE ::  grid_level_count
@@ -549,6 +551,6 @@
              wall_humidityflux(0:4) = 0.0, wall_qflux(0:4) = 0.0, &
              wall_salinityflux(0:4) = 0.0, wall_scalarflux(0:4) = 0.0, &
-             ws_vertical_gradient(10) = 0.0, &
-             ws_vertical_gradient_level(10) = -9999999.9
+             subs_vertical_gradient(10) = 0.0, &
+             subs_vertical_gradient_level(10) = -9999999.9
 
     REAL, DIMENSION(:), ALLOCATABLE ::  dp_smooth_factor
Index: palm/trunk/SOURCE/parin.f90
===================================================================
--- palm/trunk/SOURCE/parin.f90	(revision 579)
+++ palm/trunk/SOURCE/parin.f90	(revision 580)
@@ -4,5 +4,6 @@
 ! Current revisions:
 ! -----------------
-! 
+! Renaming of ws_vertical_gradient to subs_vertical_gradient and
+! ws_vertical_gradient_level to subs_vertical_gradient_level
 !
 ! Former revisions:
@@ -145,5 +146,5 @@
              vg_vertical_gradient_level, v_bulk, wall_adjustment, &
              wall_heatflux, wall_humidityflux, wall_scalarflux, &
-             ws_vertical_gradient, ws_vertical_gradient_level
+             subs_vertical_gradient, subs_vertical_gradient_level
 
 
Index: palm/trunk/SOURCE/read_var_list.f90
===================================================================
--- palm/trunk/SOURCE/read_var_list.f90	(revision 579)
+++ palm/trunk/SOURCE/read_var_list.f90	(revision 580)
@@ -4,5 +4,7 @@
 ! Current revisions:
 ! -----------------
-! 
+! Renaming of ws_vertical_gradient to subs_vertical_gradient,
+! ws_vertical_gradient_level to subs_vertical_gradient_level and
+! ws_vertical_gradient_level_ind to subs_vertical_gradient_level_i
 !
 ! Former revisions:
@@ -599,10 +601,10 @@
           CASE ( 'wall_adjustment' )
              READ ( 13 )  wall_adjustment
-          CASE ( 'ws_vertical_gradient' )
-             READ ( 13 )  ws_vertical_gradient
-          CASE ( 'ws_vertical_gradient_level' )
-             READ ( 13 )  ws_vertical_gradient_level
-          CASE ( 'ws_vertical_gradient_level_ind' )
-             READ ( 13 )  ws_vertical_gradient_level_ind
+          CASE ( 'subs_vertical_gradient' )
+             READ ( 13 )  subs_vertical_gradient
+          CASE ( 'subs_vertical_gradient_level' )
+             READ ( 13 )  subs_vertical_gradient_level
+          CASE ( 'subs_vertical_gradient_level_i' )
+             READ ( 13 )  subs_vertical_gradient_level_i
           CASE ( 'w_max' )
              READ ( 13 )  w_max
Index: palm/trunk/SOURCE/subsidence.f90
===================================================================
--- palm/trunk/SOURCE/subsidence.f90	(revision 579)
+++ palm/trunk/SOURCE/subsidence.f90	(revision 580)
@@ -4,5 +4,7 @@
 ! Current revisions:
 ! -----------------
-! 
+! Renaming of ws_vertical_gradient to subs_vertical_gradient,
+! ws_vertical_gradient_level to subs_vertical_gradient_level and
+! ws_vertical_gradient_level_ind to subs_vertical_gradient_level_i
 !
 ! Former revisions:
@@ -70,11 +72,11 @@
       
 
-      ws_vertical_gradient_level_ind(1) = 0
+      subs_vertical_gradient_level_i(1) = 0
       DO  k = 1, nzt+1
          IF ( i < 11 ) THEN
-            IF ( ws_vertical_gradient_level(i) < zu(k)  .AND. &
-                 ws_vertical_gradient_level(i) >= 0.0 )  THEN
-               gradient = ws_vertical_gradient(i) / 100.0
-               ws_vertical_gradient_level_ind(i) = k - 1
+            IF ( subs_vertical_gradient_level(i) < zu(k)  .AND. &
+                 subs_vertical_gradient_level(i) >= 0.0 )  THEN
+               gradient = subs_vertical_gradient(i) / 100.0
+               subs_vertical_gradient_level_i(i) = k - 1
                i = i + 1
             ENDIF
@@ -94,6 +96,6 @@
 !--   In case of no given gradients for the subsidence/ascent velocity,
 !--   choose zero gradient
-      IF ( ws_vertical_gradient_level(1) == -9999999.9 )  THEN
-         ws_vertical_gradient_level(1) = 0.0
+      IF ( subs_vertical_gradient_level(1) == -9999999.9 )  THEN
+         subs_vertical_gradient_level(1) = 0.0
       ENDIF
 
Index: palm/trunk/SOURCE/write_var_list.f90
===================================================================
--- palm/trunk/SOURCE/write_var_list.f90	(revision 579)
+++ palm/trunk/SOURCE/write_var_list.f90	(revision 580)
@@ -4,5 +4,7 @@
 ! Current revisions:
 ! -----------------
-! 
+! Renaming of ws_vertical_gradient to subs_vertical_gradient,
+! ws_vertical_gradient_level to subs_vertical_gradient_level and
+! ws_vertical_gradient_level_ind to subs_vertical_gradient_level_i
 !
 ! Former revisions:
@@ -517,10 +519,10 @@
     WRITE ( 14 )  'wall_adjustment               '
     WRITE ( 14 )  wall_adjustment
-    WRITE ( 14 )  'ws_vertical_gradient          '
-    WRITE ( 14 )  ws_vertical_gradient
-    WRITE ( 14 )  'ws_vertical_gradient_level    '
-    WRITE ( 14 )  ws_vertical_gradient_level
-    WRITE ( 14 )  'ws_vertical_gradient_level_ind'
-    WRITE ( 14 )  ws_vertical_gradient_level_ind
+    WRITE ( 14 )  'subs_vertical_gradient          '
+    WRITE ( 14 )  subs_vertical_gradient
+    WRITE ( 14 )  'subs_vertical_gradient_level    '
+    WRITE ( 14 )  subs_vertical_gradient_level
+    WRITE ( 14 )  'subs_vertical_gradient_level_i'
+    WRITE ( 14 )  subs_vertical_gradient_level_i
     WRITE ( 14 )  'w_max                         '
     WRITE ( 14 )  w_max