Index: palm/trunk/SOURCE/check_open.f90
===================================================================
--- palm/trunk/SOURCE/check_open.f90	(revision 600)
+++ palm/trunk/SOURCE/check_open.f90	(revision 601)
@@ -4,10 +4,13 @@
 ! Current revisions:
 ! -----------------
-! Bugfix in opening of cross section netcdf-files (parallel opening with
-! netcdf4 only works for netcdf_data_format > 2)
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 600 2010-11-24 16:10:51Z raasch
+! bugfix in opening of cross section netcdf-files (parallel opening with
+! netcdf4 only works for netcdf_data_format > 2)
 !
 ! 564 2010-09-30 13:18:59Z helmke
Index: palm/trunk/SOURCE/check_parameters.f90
===================================================================
--- palm/trunk/SOURCE/check_parameters.f90	(revision 600)
+++ palm/trunk/SOURCE/check_parameters.f90	(revision 601)
@@ -4,5 +4,5 @@
 ! Current revisions:
 ! -----------------
-! change due to new default value of surface_waterflux
+! 
 !
 ! Former revisions:
@@ -10,6 +10,9 @@
 ! $Id$
 !
+! 600 2010-11-24 16:10:51Z raasch
+! change due to new default value of surface_waterflux
+!
 ! 580 2010-10-05 13:59:11Z heinze
-! Renaming of ws_vertical_gradient_level to subs_vertical_gradient_level
+! renaming of ws_vertical_gradient_level to subs_vertical_gradient_level
 !
 ! 567 2010-10-01 10:46:30Z helmke
Index: palm/trunk/SOURCE/modules.f90
===================================================================
--- palm/trunk/SOURCE/modules.f90	(revision 600)
+++ palm/trunk/SOURCE/modules.f90	(revision 601)
@@ -5,10 +5,13 @@
 ! Current revisions:
 ! -----------------
-! default values of surface_scalarflux and surface_waterflux changed
-! to 9999999.9
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 600 2010-11-24 16:10:51Z raasch
+! default values of surface_scalarflux and surface_waterflux changed
+! to 9999999.9
 !
 ! 580 2010-10-05 13:59:11Z heinze
Index: palm/trunk/SOURCE/netcdf.f90
===================================================================
--- palm/trunk/SOURCE/netcdf.f90	(revision 600)
+++ palm/trunk/SOURCE/netcdf.f90	(revision 601)
@@ -7,6 +7,5 @@
 ! Current revisions:
 ! ------------------
-! Bugfix concerning check of cross-section levels on netcdf-files to be
-! extended (xz,yz)
+! 
 !
 ! Former revisions:
@@ -14,4 +13,8 @@
 ! $Id$
 !
+! 600 2010-11-24 16:10:51Z raasch
+! bugfix concerning check of cross-section levels on netcdf-files to be
+! extended (xz,yz)
+!
 ! 564 2010-09-30 13:18:59Z helmke
 ! nc_precision changed from 40 masks to 1 mask, start number of mask output
@@ -19,5 +22,5 @@
 !
 ! 519 2010-03-19 05:30:02Z raasch
-! Particle number defined as unlimited dimension in case of NetCDF4 output,
+! particle number defined as unlimited dimension in case of NetCDF4 output,
 ! special characters like * and " are now allowed for NetCDF variable names,
 ! replacement of these characters removed, routine clean_netcdf_varname
@@ -31,5 +34,5 @@
 !
 ! 359 2009-08-19 16:56:44Z letzel
-! For extended NetCDF files, the updated title attribute includes an update of
+! for extended NetCDF files, the updated title attribute includes an update of
 ! time_average_text where appropriate.
 ! Bugfix for extended NetCDF files: In order to avoid 'data mode' errors if 
Index: palm/trunk/SOURCE/parin.f90
===================================================================
--- palm/trunk/SOURCE/parin.f90	(revision 600)
+++ palm/trunk/SOURCE/parin.f90	(revision 601)
@@ -4,12 +4,15 @@
 ! Current revisions:
 ! -----------------
+! 
+!
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 600 2010-11-24 16:10:51Z raasch
 ! parameters moved from d3par to inipar: call_psolver_at_all_substeps,
 ! cfl_factor, cycle_mg, mg_cycles, mg_switch_to_pe0_level, ngsrb, nsor,
 ! omega_sor, prandtl_number, psolver, rayleigh_damping_factor,
 ! rayleigh_damping_height, residual_limit
-!
-! Former revisions:
-! -----------------
-! $Id$
 !
 ! 580 2010-10-05 13:59:11Z heinze
Index: palm/trunk/SOURCE/read_var_list.f90
===================================================================
--- palm/trunk/SOURCE/read_var_list.f90	(revision 600)
+++ palm/trunk/SOURCE/read_var_list.f90	(revision 601)
@@ -4,4 +4,11 @@
 ! Current revisions:
 ! -----------------_
+! 
+!
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 600 2010-11-24 16:10:51Z raasch
 ! +call_psolver_at_all_substeps, cfl_factor, cycle_mg, mg_cycles,
 ! mg_switch_to_pe0_level, ngsrb, nsor, omega_sor, psolver,
@@ -11,8 +18,4 @@
 ! appear due to one of the additional parameters (cycle_mg) which are now
 ! stored on the restart file
-!
-! Former revisions:
-! -----------------
-! $Id$
 !
 ! 591 2010-10-28 06:35:52Z helmke
Index: palm/trunk/SOURCE/write_var_list.f90
===================================================================
--- palm/trunk/SOURCE/write_var_list.f90	(revision 600)
+++ palm/trunk/SOURCE/write_var_list.f90	(revision 601)
@@ -4,11 +4,14 @@
 ! Current revisions:
 ! -----------------
+! 
+!
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 600 2010-11-24 16:10:51Z raasch
 ! +call_psolver_at_all_substeps, cfl_factor, cycle_mg, mg_cycles,
 ! mg_switch_to_pe0_level, ngsrb, nsor, omega_sor, psolver,
 ! rayleigh_damping_factor, rayleigh_damping_height, residual_limit
-!
-! Former revisions:
-! -----------------
-! $Id$
 !
 ! 589 2010-10-27 14:21:29Z heinze